Package com.google.javascript.jscomp

# Enum CompilerOptions.LanguageMode

java.lang.Object
java.lang.Enum<CompilerOptions.LanguageMode>
com.google.javascript.jscomp.CompilerOptions.LanguageMode

All Implemented Interfaces:
  `Serializable`, `Comparable<CompilerOptions.LanguageMode>`, `java.lang.constant.Constable`

Enclosing class:
  `CompilerOptions`

public static enum CompilerOptions.LanguageMode extends Enum<CompilerOptions.LanguageMode>
When to do the extra sanity checks

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ECMASCRIPT3`
Traditional JavaScript
`ECMASCRIPT5`
Shiny new JavaScript
`ECMASCRIPT5_STRICT`
Nitpicky, shiny new JavaScript

## Method Summary

Modifier and Type
Method
Description
`static CompilerOptions.LanguageMode`
`fromString(String value)`
`static CompilerOptions.LanguageMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompilerOptions.LanguageMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ECMASCRIPT3

public static final CompilerOptions.LanguageMode ECMASCRIPT3
Traditional JavaScript

### ECMASCRIPT5

public static final CompilerOptions.LanguageMode ECMASCRIPT5
Shiny new JavaScript

### ECMASCRIPT5_STRICT

public static final CompilerOptions.LanguageMode ECMASCRIPT5_STRICT
Nitpicky, shiny new JavaScript

## Method Details

### values

public static CompilerOptions.LanguageMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CompilerOptions.LanguageMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromString

public static CompilerOptions.LanguageMode fromString(String value)